summaryrefslogtreecommitdiff
path: root/tests/pcre-z
diff options
context:
space:
mode:
authorPaolo Bonzini <bonzini@gnu.org>2010-03-29 11:26:08 +0200
committerPaolo Bonzini <bonzini@gnu.org>2010-03-29 11:31:15 +0200
commit37ad224185f1046c35e76b95dab43d7c65cd2a22 (patch)
tree4e861ca81bd06375e3512a0bed9656271763c9f0 /tests/pcre-z
parent0f7ab96dc723ccc497d652a72798661adf9504c6 (diff)
downloadgrep-37ad224185f1046c35e76b95dab43d7c65cd2a22.tar.gz
tests: use $(...) consistently
* tests/backref.sh: Use `...' instead of ``...'' in comments. * tests/bre.awk: Use $(...) instead of `...`. * tests/ere.awk: Use $(...) instead of `...`. * tests/euc-mb: Use $(...) instead of `...`. * tests/fmbtest: Use $(...) instead of `...`. * tests/foad1: Use $(...) instead of `...`. * tests/pcre-z: Use $(...) instead of `...`. Quote output of grep. * tests/spencer1-locale.awk: Use $(...) instead of `...`. * tests/spencer1.awk: Use $(...) instead of `...`. * tests/yesno.sh: Use $(...) instead of `...`.
Diffstat (limited to 'tests/pcre-z')
-rwxr-xr-xtests/pcre-z2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/pcre-z b/tests/pcre-z
index 17d9f955..f59c1faa 100755
--- a/tests/pcre-z
+++ b/tests/pcre-z
@@ -14,7 +14,7 @@ grep -z "$REGEX" in > exp 2>err || fail_ 'Cannot do BRE (grep -z) match.'
compare err /dev/null || fail_ 'stderr not empty on grep -z.'
# Sanity check the output
-test `grep -cz "$REGEX" in` 2>err = 3 || fail_ 'Incorrect BRE (grep -cz) match.'
+test "$(grep -cz "$REGEX" in)" 2>err = 3 || fail_ 'Incorrect BRE (grep -cz) match.'
compare err /dev/null || fail_ 'stderr not empty on grep -cz.'
fail=0